Save card token

Allows you to securely save a card token using your own form or using the API directly (potentially without a web browser). You can use this endpoint to save a new card token or add pre-existing TokenEx tokens that you would like to start using through Nexio.

You can use this saved card token to run a card transaction using the Run card transaction with iframe or Run card transaction endpoint.

Card tokens can be used to process transactions through any MID on your account. They are not restricted to a specific merchant account or currency.

For instructions on how to implement this endpoint, see Creating a save card page with your own form or Saving a card token with the API.

For a tutorial about running a transaction with the saved card token, see the Creating a card checkout page with the iframe, Creating a card checkout page with your own form, or Running a card transaction with the API topic.

Note

Processing options must be sent in the request for a one-time-use token. For more information, see What data is saved with tokens? in Guides.

Try It

To use the Try It feature for this endpoint, include at least the following in the body of the request:

  • A one-time-use token - this replaces the standard username/password and authentication header
  • card.cardHolderName
  • card.expirationMonth
  • card.expirationYear
  • Either card.encryptedNumber or tokenex.token (an existing TokenEx card token) For information about test card numbers and values you can use, see the documentation for the specific gateway/connection integration guide or, if you are testing Account Updater, see the Test cards for account updater section of the "Checking a card's enrollment tag" topic.

Request parameters

  • card
  • card.cardHolderName
  • card.encryptedNumber
  • card.expirationMonth
  • card.expirationYear
  • card.cardType
  • card.securityCode
  • card.firstSix
  • card.lastFour
  • token
  • data
  • data.customer
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.birthDate
  • data.customer.createdAtDate
  • data.customer.email
  • data.customer.firstName
  • data.customer.invoice
  • data.customer.lastName
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • shouldUpdateCard
  • tokenex
  • tokenex.token
  • tokenex.firstSix
  • tokenex.lastFour
  • merchantId

Response parameters

  • card
  • card.cardHolderName
  • card.expirationMonth
  • card.expirationYear
  • card.cardType
  • data
  • data.customer
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.birthDate
  • data.customer.email
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • kountResponse
  • kountResponse.status
  • kountResponse.rules
  • merchantId
  • shouldUpdateCard
  • token
  • token.token
  • token.firstSix
  • token.lastFour
  • token.cardType
  • cvcResults
  • cvcResults.matchCvv
  • cvcResults.error
  • cvcResults.gatewayMessage
  • cvcResults.gatewayMessage.cvvresponse
  • cvcResults.gatewayMessage.message
  • avsResults
  • avsResults.matchAddress
  • avsResults.matchPostal
  • avsResults.error
  • avsResults.gatewayMessage
  • avsResults.gatewayMessage.avsresponse
  • avsResults.gatewayMessage.message
  • cardType
Body Params
string
required

A one-time-use token. This value is saved in the card/echeck token as key.

card
object
required

Card information.

tokenex
object

TokenEx card token information.

data
object

Additional optional data

boolean
Defaults to true

The card's account updater enrollment tag. This value is saved in the card token.

When true, the card token is tagged for being sent to the account updater provider.

Note

The card will not be registered until the merchant account is enrolled. See the Enrollment tag table for more information.

string

The Nexio merchant ID (MID). Generally, you should avoid sending this value in the request because it may interfere with several Nexio features. The API user you use directs the transaction to the appropriate MID automatically. This value is saved in the card/echeck token.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json